Subject: [Isis-wg] Question about Traffic Engineering Router ID TLV type 134

From: Hariharan Ananthakrishnan <[email-masked]>
Date: Mon, 17 Mar 2008 09:00:11 -0700

Hi,

In RFC 3784, section 5 : Traffic Engineering Router ID TLV, it has been 
mentioned that

" If a router implements traffic engineering, it MUST include this TLV 
in its LSP. This TLV SHOULD not be included more than once in an LSP."

Does this mean it could appear in LSPs with non-zero LSP number (any 
non-pseudo LSP fragment) or should this appear only in LSP number zero ? 
(Similar to Area Address TLV 1)

Thanks,
Hari
_______________________________________________
Isis-wg mailing list
[email-masked]
https://www.ietf.org/mailman/listinfo/isis-wg

---

From: "Manav Bhatia" <[email-masked]>
Date: Mon, 17 Mar 2008 21:49:03 +0530

Hi Hari,
 
TE Router ID TLV should be in LSP number 0.
 
Cheers,
Manav

  _____  

From: [email-masked] [mailto:[email-masked]] On Behalf
Of Hariharan Ananthakrishnan
Sent: Monday, March 17, 2008 9.30 PM
To: [email-masked]
Subject: [Isis-wg] Question about Traffic Engineering Router ID TLV type 134

Hi,

" If a router implements traffic engineering, it MUST include this TLV in
its LSP. This TLV SHOULD not be included more than once in an LSP." 

Thanks,
Hari

---

From: "Tony Li" <[email-masked]>
Date: Mon, 17 Mar 2008 09:22:40 -0700

Hi,
 
It can appear in any LSP fragment.
 
Tony

---

From: "Manav Bhatia" <[email-masked]>
Date: Mon, 17 Mar 2008 22:20:12 +0530

Tony,

On the lines of "being conservative on what you send, and liberal on what
you receive" - I would send this TLV in LSP 0, because there are
implementations out in the wild, that would crib if this TLV isn't in the
first segment.

Cheers,
Manav

________________________________

	From: [email-masked] [mailto:[email-masked]] On
Behalf Of Tony Li
	Sent: Monday, March 17, 2008 9.53 PM
	To: [email-masked]; [email-masked]
	Subject: Re: [Isis-wg] Question about Traffic Engineering Router ID
TLV type134

	Hi,

	Tony

		In RFC 3784, section 5 : Traffic Engineering Router ID TLV,
it has been mentioned that 
		
		" If a router implements traffic engineering, it MUST
include this TLV in its LSP. This TLV SHOULD not be included more than once
in an LSP." 
		
		Does this mean it could appear in LSPs with non-zero LSP
number (any non-pseudo LSP fragment) or should this appear only in LSP
number zero ? (Similar to Area Address TLV 1)

___________________________________________________________ 
The all-new Yahoo! Mail goes wherever you go - free your email address from your Internet provider. http://uk.docs.yahoo.com/nowyoucan.html

---

From: "Tony Li" <[email-masked]>
Date: Mon, 17 Mar 2008 10:37:08 -0700

Manav,

While that may be true, the RFC does not require the sender to include this
TLV in fragment 0.  Moreover, because the RFC does not specify that
behavior, the receiver must be liberal in what it accepts and receive it in
any fragment.  In short, any such receivers are buggy and should be fixed.

Bugs in the receiver do not create a constraint for the transmitter.  In
fact, such bugs will be used by the competition to simply demonstrate that
the receiver's implementation is inferior.

Tony

|-----Original Message-----
|From: [email-masked] 
|[mailto:[email-masked]] On Behalf Of Manav Bhatia
|Sent: Monday, March 17, 2008 9:50 AM
|To: [email-masked]; [email-masked]; [email-masked]
|Subject: Re: [Isis-wg] Question about Traffic Engineering 
|Router ID TLVtype134
|
|Tony,
|
|On the lines of "being conservative on what you send, and 
|liberal on what
|you receive" - I would send this TLV in LSP 0, because there are
|implementations out in the wild, that would crib if this TLV 
|isn't in the
|first segment.
|
|Cheers,
|Manav
|
|________________________________
|
|	From: [email-masked] 
|[mailto:[email-masked]] On
|Behalf Of Tony Li
|	Sent: Monday, March 17, 2008 9.53 PM
|	To: [email-masked]; [email-masked]
|	Subject: Re: [Isis-wg] Question about Traffic 
|Engineering Router ID
|TLV type134
|	
|	
|	 
|	Hi,
|	 
|	It can appear in any LSP fragment.
|	 
|	Tony
|	 
|	
|	
|
|		In RFC 3784, section 5 : Traffic Engineering 
|Router ID TLV,
|it has been mentioned that 
|		
|		" If a router implements traffic engineering, it MUST
|include this TLV in its LSP. This TLV SHOULD not be included 
|more than once
|in an LSP." 
|		
|		Does this mean it could appear in LSPs with non-zero LSP
|number (any non-pseudo LSP fragment) or should this appear only in LSP
|number zero ? (Similar to Area Address TLV 1)
|		 
|
|
|
|		
|___________________________________________________________ 
|The all-new Yahoo! Mail goes wherever you go - free your email 
|address from your Internet provider. 
|http://uk.docs.yahoo.com/nowyoucan.html
|
|_______________________________________________
|Isis-wg mailing list
[email-masked]
|https://www.ietf.org/mailman/listinfo/isis-wg
|